- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Types | Public Member Functions | Related Functions
AbsMap< M > Class Template Reference
Map Adaptors

## Detailed Description

### template<typename M>
class lemon::AbsMap< M >

This read-only map returns the absolute value of the values of the given map. Its `Key` and `Value` are inherited from `M`. `Value` must be comparable to `0` and the unary `-` operator must be defined for it, of course.

The simplest way of using this map is through the absMap() function.

`#include <lemon/maps.h>`

Inheritance diagram for AbsMap< M >:
[legend]

## Public Types
typedef M::Key | Key
typedef M::Value | Value
Public Types inherited from MapBase< M::Key, M::Value >
typedef M::Key | Key
| The key type of the map.
typedef M::Value | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions
| AbsMap (const M &m)
| Constructor.
Value | operator[] (const Key &k) const

## Related Functions
(Note that these are not member functions.)
template<typename M >
AbsMap< M > | absMap (const M &m)
| Returns an `AbsMap` class. More...